diff --git a/workdir/Asociace/Assets/Scenes/Menu.unity b/workdir/Asociace/Assets/Scenes/Menu.unity
index cc3b02aa7..31795f3e2 100644
--- a/workdir/Asociace/Assets/Scenes/Menu.unity
+++ b/workdir/Asociace/Assets/Scenes/Menu.unity
@@ -8415,379 +7635,303 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 692456518}
     m_Modifications:
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.size
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Mode
       value: 6
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Mode
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Target
       value: 
       objectReference: {fileID: 150861645}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Target
       value: 
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_CallState
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
       value: SetActive
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_MethodName
       value: Play
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_TargetAssemblyTypeName
       value: UnityEngine.AudioSource, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_BoolArgument
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 1803992283070503221, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427660, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427660, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_Name
       value: How To Play
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_Pivot.x
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_Pivot.y
       value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_RootOrder
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMax.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMax.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMin.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMin.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalRotation.w
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalRotation.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalRotation.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalRotation.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalEulerAnglesHint.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalEulerAnglesHint.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427661, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_LocalEulerAnglesHint.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.size
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Mode
       value: 6
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Mode
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Target
       value: 
       objectReference: {fileID: 150861645}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Target
       value: 
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_CallState
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
       value: SetActive
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_MethodName
       value: Play
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_BoolArgument
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460116427662, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[1].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMax.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMin.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291107, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_text
       value: 
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_fontSize
       value: 100
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_textInfo.lineCount
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_textInfo.pageCount
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_textInfo.wordCount
       value: 6
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_textInfo.spaceCount
       value: 5
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_textInfo.characterCount
       value: 8
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906460881291116, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_firstOverflowCharacterIndex
       value: -1
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMax.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchorMin.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_SizeDelta.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558180, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 2352906461894558181, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 2352906461894558181, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_Sprite
       value: 
-      objectReference: {fileID: 21300000, guid: 8ac626807a092a24d9c0935cfe76a208,
-        type: 3}
-    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+      objectReference: {fileID: 21300000, guid: 8ac626807a092a24d9c0935cfe76a208, type: 3}
+    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_ChildControlWidth
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_ChildControlHeight
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_ChildForceExpandWidth
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 3062593276343635242, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_ChildForceExpandHeight
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 3495153061866459944, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 3495153061866459944, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_FlexibleHeight
       value: -1
       objectReference: {fileID: 0}
-    - target: {fileID: 3495153061866459944, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 3495153061866459944, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_PreferredHeight
       value: 256
       objectReference: {fileID: 0}
-    - target: {fileID: 8226932067043667277, guid: c46aa339d0ff8314ba1c73b7af44b4c0,
-        type: 3}
+    - target: {fileID: 8226932067043667277, guid: c46aa339d0ff8314ba1c73b7af44b4c0, type: 3}
       propertyPath: m_FlexibleHeight
       value: -1
       objectReference: {fileID: 0}
@@ -8821,6 +7965,7 @@ RectTransform:
   m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children:
   - {fileID: 653540506}
   - {fileID: 1308433252}
@@ -8865,11 +8010,12 @@ MonoBehaviour:
   m_GameObject: {fileID: 1678562386}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 2109663825, guid: f70555f144d8491a825f0804e09c671c, type: 3}
+  m_Script: {fileID: 11500000, guid: 9085046f02f69544eb97fd06b6048fe2, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Navigation:
     m_Mode: 3
+    m_WrapAround: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
@@ -8879,17 +8025,20 @@ MonoBehaviour:
     m_NormalColor: {r: 1, g: 1, b: 1, a: 1}
     m_HighlightedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_PressedColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 1}
+    m_SelectedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
     m_DisabledColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 0.5019608}
     m_ColorMultiplier: 1
     m_FadeDuration: 0.1
   m_SpriteState:
     m_HighlightedSprite: {fileID: 0}
     m_PressedSprite: {fileID: 0}
+    m_SelectedSprite: {fileID: 0}
     m_DisabledSprite: {fileID: 0}
   m_AnimationTriggers:
     m_NormalTrigger: Normal
     m_HighlightedTrigger: Highlighted
     m_PressedTrigger: Pressed
+    m_SelectedTrigger: Highlighted
     m_DisabledTrigger: Disabled
   m_Interactable: 1
   m_TargetGraphic: {fileID: 653540507}
@@ -8900,6 +8049,7 @@ MonoBehaviour:
     m_PersistentCalls:
       m_Calls:
       - m_Target: {fileID: 190023558}
+        m_TargetAssemblyTypeName: Ui.Panels.DetailedSettings, Assembly-CSharp
         m_MethodName: QualityAutomatically
         m_Mode: 0
         m_Arguments:
